<?xml version="1.0" encoding="UTF-8"?>
<component name="MarkupGridItem" extends="BaseGroup">
	<interface>
		<field id="itemContent" type="node" onChange="OnItemContentChange" />
        <field id="focusPercent" type="float" onChange="focusChanging" />
		 <field id="itemHasFocus" type="bool" onChange="on_focus_change" />
	</interface>
	<script type="text/brightscript" uri="MarkupGridItem.brs" />

	<children>
	  <maskGroup id="posterMask" maskUri="pkg:/images/postermask.png" masksize = "[ 320, 425 ]" scaleRotateCenter="[160, 212.5]" scale="[0.85,0.85]" maskOffset="[0,0]" >
        <Poster id="itemPoster" width="320" height="425" loadWidth = "320" loadHeight = "425" loadingBitmapUri="pkg:/images/poster_loading.png" failedBitmapUri="pkg:/images/poster_failed.png" loadDisplayMode="limitSize" />
		<Poster id="posterStar" uri="pkg:/images/icons/star_floor.png" height="30"/>
		<LayoutGroup id = "groupStar" layoutDirection="horiz" itemSpacings="[5]" vertAlignment="custom">
            <Poster id="star1" width="18" height="17" uri="pkg:/images/icons/star_empty.png" />
            <Poster id="star2" width="18" height="17" uri="pkg:/images/icons/star_empty.png" />
            <Poster id="star3" width="18" height="17" uri="pkg:/images/icons/star_empty.png" />
            <Poster id="star4" width="18" height="17" uri="pkg:/images/icons/star_empty.png" />
            <Poster id="star5" width="18" height="17" uri="pkg:/images/icons/star_empty.png" />
		</LayoutGroup>
		<Rectangle id = "itemMask" color = "0x000000FF" opacity = "0.75" width = "320" height = "425" scaleRotateCenter="[160, 212.5]" visible="false"/>
		<Rectangle id="background" translation="[0, 383]" width="320" height="42" color="#000000" opacity="0.9" >
		    <ScrollingLabel id="posterText" maxWidth="240" height="30" horizAlign="center" repeatCount="0" color="#ffffff"/>
		</Rectangle>
	  </maskGroup>	  
	</children>
</component>